Language Selector v1.0.5

Release Notes

- added: triggering an event when a loggedin user changes the language

  • 2 bugs with 1.7.1 found:

    1) Captcha image breaks on registration page

    2) Login breaks on site/action/login

  • Yes, I had the same big problem and unfotunately I didn't read Trajan comment. The full "adventure" here http://community.elgg.org/mod/groups/topicposts.php?topic=548965&group_guid=179063

    Do not install on 1.7.1

    It actually worked for me for weeks but then suddenly (maybe bad interacting with new plugins installed) me and my admin friends experienced few terrible days :-)

    Thanks Jeroen for your time with this plugin but it would be maybe useful for you too to know that it is not compatible with 1.7.1 and/or some other plugin

    Thanks to the great people of this community for trying to help me!

  • It is an important plugin. All of Jeroen's plugins are great. I just wish he would update all of them for Elgg 1.7.2 now. We'd all be VERY appreciative with these great plugins on our sites!

  • @Trajan and @mic i use it on multiple 1.7.1 sites with no problem. The topic @mic mentioned doesn't hint me to a probable cause for the issues mentioned.

  • Please don't misunderstand me, i closed my message with "Thanks Jeroen..."

    I really appreciate all of you coders' work!

    Without all of you this great open source sw and plugins would not be possible! Clear and bright to me!

    I just mentioned the problem I had and the solution was disabling language selector.

    Again, thank you Jeroen

  • FYI : using it with 1.7.1 for many sites. No problem yet.

  • to be consistent, I experienced the exavct same Trajan issue: Login breaked on site/action/login and same thing upon registration

  • And, just to show how much I like Jeroen plugins.....I have installed plugin manager, superadmin, profile manager, maintenance, message board, plugin installer, enough? ;-)

  • As far as I know some of Vazco's plugins have some multi-language settings. Maybe this results in an incompatibility with the Language selector plugin.

  • Tested this plugin on localhost and it worked perfect with regard to auto detect browser language. Then on my online site auto detection don't work?

    What can be wrong, something I missed?

  • It works in IE but not in FF - using 1.7.3

  • no, it doesnt work in 1.7.1, when i select a language it shows the message: form is missing_token or_ts field. What can i do? 

  • so, its still not working for me. Is it compatible with elgg 1.7.1 version? I need language selector plugin verry much, but i dont know how can i overpass this probleme. way i get this message form is missing_token or_ts field? 

     

  • ups, sorry, i had 1.0.3 verison of this plugin, maybe this is the problem. I'll try the 1.0.5 version

  • Plugin doesn´t work for anonymous users. Any chances to release a update? I am a C# developer, but I can help with my poor skills in PHP.

  • Plugin now works with 1.7.6. There was a conflit with tips plugin, that invokes elgg_echo in start.php. Thanks to a paid advice from Mike (Vazco), we resolved the problem.

    We´d like to recommend Mike (Vazco) to all community. He was very professional and made a fast and clean job helping us.

  • @jeroem:Thanks for this plugin,When I added the language_selector plugin to my 1.7.6 version, the features installed well.

    1.what is the of "Enter the minimum amount of completeness for languages to show up in the language selector",and is it measured in %?i need to understand this terms in order to make proper setting of the plugin,i set it to 50 but have not seen anything .

    2.I did not see any change on the site on my localhost as I tried it using the default elgg site.I didnt see the country flags on the header as well.

    I thought it was going to make visitors or users on my site to select the particular language they want the site to display in?I mean translating a site into languages that suits users or visitors.e.g badoo.com drop down button for languages or facebook (list of countries at the base site of the site)

  • hello

    I have a problem. The plugin generates conflict with my friends and capcha mod.
    ami this happens to me only or is a problem with the plugin?


    use 1.7.6. thanks

  • hello

      I tested the plugin in elgg 1.7.7. I saw that the plugin conflicts with the "groups " and "reportarcontenido (or_tsmissing_token throws an error). and plugin tidypic" Maneger profile (flags do notappear under the logo).
    is an excellent plugin and as needed for my site (I and many others: D). could help with a solution?

    thanks

  • I got a courios problem.. I ianstlled the plugin on my localhost site (on my local machine) and worked perfectly, but when i installed on the webserver it does not show me the "settings" menu in the tool administration. It looks really weird! I transferred on the webserver the all site, so it is not that i forgot a file somwhere.. any clues?

    thks!!

     

  • I got it. I had problems with the "view filepath cache". when it is on the "Settings" submenu disappears...

    elgg is weirdo sometimes..

  • Elgg is not weird :). Your problem is probably related to file permissions on the dataroot. You should also experience other problems with for example uploading profile icons or files.

  • Hi guys (and Jeroen - great and excellent plugin),

    With the help of the plugins of Susan Tsairi (Theme RTL Default - http://goo.gl/Rs33y) and this Jeroen (Language Selector) I could come up (as a DIY fix) with a plugin for switching from LTR to RTL and vice-versa. I know I am not a PHP developer but this worked for me although it is not stable because it requires you to upgrade the plugin after every other plugin installation or upgrade. So it's half automatic!

    As said, works like a charm when it's the last plugin being incorporated to the list of plugins but would like to see your views and tips before producing a robust RTL/LTR (or the opposite) switching on the fly.

    Here's my code (hoping for better enhancement as I am not a PHP expert). It works as explained above but it not robust. Any opinions? I know, i have the logic but little technique ;) I seek your guidance!

    <?php
        function x_init(){
        $current_lang_id = get_current_language();
        global $CONFIG;
           
            // For backward compatibility (Elgg 1.6.1 - Elgg 1.7)
            if (function_exists('elgg_extend_view') || function_exists('extend_view')){
                //the views are saved in this array
                // Having our plugin run last means we can reset the array and then just use our own CSS file to extend the view
                if (isset($CONFIG->views->extensions['css'])){
                    // Clearing the actual array of views
                    $CONFIG->views->extensions['css'] = array();
                }
               
                // Adding our CSS file. Add all your CSS to the {ELGG_ROOT}/mod/x/views/default/x/css.php file
                if (function_exists('elgg_extend_view') && $current_lang_id != 'ar'){
                    elgg_extend_view('css', 'css');
                } else if (function_exists('extend_view')) {
                    extend_view('css', 'x/css');
                }
            }
        }
       
        // Register our initialization function. We put a huge priority number to ensure that it runs last and can clear out all existing CSS
        register_elgg_event_handler('init','system','x_init', 9999999999999);
       
    ?>

     

    Thanks!

  • @Jeroen - see above my post. I finally caught the bug that makes the site break on action/login although I'm not sure if it's language_selector related.

    It comes from having UTF8 encoded language files with BOM instead of without.

Jeroen Dalsem

Owner of ColdTrick IT Solutions, developing social networking sites for the dutch market

Stats

  • Category: Language packs
  • License: GNU General Public License (GPL) version 2
  • Updated: 2019-3-20
  • Downloads: 10910
  • Recommendations: 37

Other Projects

View Jeroen Dalsem's plugins